package sgc.portal.cw.cw0804.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0804.dto.CW08040001PSearch;
import sgc.portal.cw.cw0804.model.CW08040001P;
import sgc.portal.cw.cw0804.service.CW08040001PService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0804")
public class CW08040001PController {
    private final CW08040001PService service;

    public CW08040001PController(CW08040001PService service) {
        this.service = service;
    }
    
    @PostMapping("/CW08040001P/selectRemInfo")
    public EasyHashMap<String, Object> getSelectRemInfo(@RequestBody CW08040001PSearch search) {
        return service.getSelectRemInfo(search);
    }

    @PostMapping("/CW08040001P/save")
    public Map<String, String> save(@RequestBody CW08040001P CW08040001P) {
    	return service.save(CW08040001P);
    }
}
